Subject: bug#19174: Wishlist/suggestion for emacs/lisp/calendar/cal-french.el

From: Jean Forget <[email-masked]>
Date: Thu, 10 Jun 2021 07:40:23 +0200

Le 09/06/2021 à 16:11, Mattias Engdegård a écrit :
> I was curious about what the changes would entail, so I took the liberty 
> to adapt the patch to master; diff attached. (Sorry if I duplicated 
> someone's work.)
> 
> The addition of individual day names is obviously an improvement. As for 
> the rest, you should probably explain and defend them (which is not as 
> terrible as it sounds; we just want to know the reason).
> 
> For example, should the complementary days really be shown with day 
> numbers and day-of-week names, as they don't really belong to a week or 
> month? Shouldn't days, months etc be written in lower case since that's 
> the convention for French?
> 

Several years ago, somebody gave me a PDF file giving historical
events for each day of the French Revolutionary calendar.
I converted it to HTML and here is the result (English version):

http://datetime.mongueurs.net/Histoire/tit/titre-g.en.html

When you read the pages for the additional days, you see that
they are printed with a day number and a day-of-week name. See

http://datetime.mongueurs.net/Histoire/s-c/01-g.en.html

About lower case vs upper case: The French convention for
Revolutionary names may be different from the French convention
for Gregorian names. Most often, the revolutionary month names
and day names are printed with an initial capital letter.
Yet, there are exceptions. See the front page (link above)
which mentions the "9 floréal an 7" with a lower case "f".

See the links from

https://metacpan.org/pod/DateTime::Calendar::FrenchRevolutionary#Internet

(sorry, my email program has split the URL in two lines).

Jean Forget